IARRAY_FORMAT_VALUE(3)

EXPERIMENTAL_FUNC
iarray_format_value - Format a data value into a string.

SYNOPSIS
#include <karma_iarray.h>

void iarray_format_value

(iarray array, char string[STRING_LENGTH], double value, double scale, double offset)

DESCRIPTION
Format a data value into a string.

array
    The Intelligent Array the value is associated with.

string
    The string to write to.

value
    The value to format.

scale
    The scale value to apply to the data. If this is TOOBIG the routine uses the scale and offset attached to the array. See <-iarray_set_data_scaling-> for details.

offset
    The offset to apply after scaling the data.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/